Update Threshold
curl --request POST \
--url https://developer-api.squads.so/api/v0/smart_account/transaction/threshold/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"smart_account_address": "<string>",
"threshold": 2,
"transaction_signers": [
"<string>"
],
"fee_config": {
"payer_address": "<string>"
}
}
'import requests
url = "https://developer-api.squads.so/api/v0/smart_account/transaction/threshold/update"
payload = {
"smart_account_address": "<string>",
"threshold": 2,
"transaction_signers": ["<string>"],
"fee_config": { "payer_address": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
smart_account_address: '<string>',
threshold: 2,
transaction_signers: ['<string>'],
fee_config: {payer_address: '<string>'}
})
};
fetch('https://developer-api.squads.so/api/v0/smart_account/transaction/threshold/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": "<string>",
"fee": {
"amount": "<string>",
"amount_decimal": "<string>",
"currency": "<string>",
"sol_equivalent": {
"amount": "<string>",
"amount_decimal": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Endpoints
Update Threshold
Updates the signing threshold for a Smart Account
POST
/
api
/
v0
/
smart_account
/
transaction
/
threshold
/
update
Update Threshold
Authorizations
Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Headers
Specifies which Solana network to use. Defaults to 'mainnet' if not provided. Valid values are 'devnet' or 'mainnet'.
Available options:
devnet, mainnet Body
application/json
The address of the Smart Account
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$The new threshold value
Required range:
x >= 1List of addresses that will sign this transaction
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Show child attributes
Show child attributes
Was this page helpful?
⌘I